local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
	data(self, tweak_data)
		table.insert(self.specializations,
		{
			name_id = "menu_st_spec_000", --New HIGHWAYMAN DANKEST FUNGEON
			desc_id = "menu_st_spec_000_desc",
			{
				upgrades = {
				--"player_damage_dampener_close_contact_1",
				--"player_health_bonus_multiplier_2",
				--"player_dodge_bonus_passive_always_2",
				"player_detection_risk_add_super_dodge_percent_1",
				"player_level_7_dodge_bonus_passive_always_level_7_1",
				--"player_damage_damage_absorb_pro_1", 
				--"menu_player_damage_dampener_temp_head",
				--"crossbow_extra_ammo_multiplier",
				--"crossbow_reload_speed"
				},
				cost = 200,
				icon_xy = {0, 2},
				name_id = "menu_deck000_1",
				desc_id = "menu_deck000_1_desc"
			},			
			{
				upgrades = {
				"weapon_passive_headshot_damage_multiplier"
				},
				cost = 300 ,
				icon_xy = {1, 0},
				name_id = "shared_deck_card_01",
				desc_id = "shared_deck_card_11"
			},
			{
				upgrades = {
				"melee_kill_bonus_movement_speed_1"
				},
				cost = 400,
				icon_xy = {0, 1},
				name_id = "menu_deck000_3",
				desc_id = "menu_deck000_3_desc"
			},
			{
				upgrades = {
				"passive_player_xp_multiplier",
				"player_passive_suspicion_bonus",
				"player_passive_armor_movement_penalty_multiplier"
				},
				cost = 600,
				icon_xy = {3, 0},
				name_id = "shared_deck_card_02",
				desc_id = "shared_deck_card_22"
			},
			{
				upgrades = {
				"player_civilian_reviver",
				"player_civilian_gives_ammo"
				},
				cost = 1000,
				icon_xy = {2, 7},
				name_id = "menu_deck000_5",
				desc_id = "menu_deck000_5_desc"
			},

			{
				upgrades = {
				"armor_kit",
				"player_pick_up_ammo_multiplier"
				},
				cost = 1600,
				icon_xy = {5, 0},
				name_id = "shared_deck_card_03",
				desc_id = "shared_deck_card_33"
			},
			{
				upgrades = {
				"player_cheat_death_chance_3",
				"first_aid_kit_downs_restore_chance"
				},
				cost = 2400,
				icon_xy = {0, 8},
				name_id = "menu_deck000_7",
				desc_id = "menu_deck000_7_desc"
			},
			{
				upgrades = {
				"weapon_passive_damage_multiplier",
				"passive_doctor_bag_interaction_speed_multiplier"
				},
				cost = 3200,
				icon_xy = {7, 0},
				name_id = "shared_deck_card_04",
				desc_id = "shared_deck_card_44"
			},
			{
				upgrades = {
			--	"weapon_silencer_armor_piercing_chance_2",
				"player_convert_has_armour_multiplier",
				"player_passive_loot_drop_multiplier"
				},
				cost = 4000,
				icon_xy = {0, 5},
				name_id = "menu_deck000_9",
				desc_id = "menu_deck000_9_desc"
			}
			})
table.insert(self.specializations,
		{
			name_id = "menu_st_spec_001",
			desc_id = "menu_st_spec_001_desc", --new Sniper
			{
				upgrades = {
				"snp_extra_ammo_multiplier_1",
				"snp_recoil_multiplier",
				"snp_reload_speed_multiplier_extra_1",
				"snp_fire_rate_multiplier_1",
				--"snp_damage_multiplier_1",
				"player_damage_dampener_sniper_1",
--				"player_snp_concealment_modifier",
--				"player_hostages_are_important_1",
				},
				cost = 200,
				icon_xy = {5, 2},
				name_id = "menu_deck001_1",
				desc_id = "menu_deck001_1_desc"
			},
			{	
				upgrades = {
				"weapon_passive_headshot_damage_multiplier"
				},
				cost = 300,
				icon_xy = {1, 0},
				name_id = "shared_deck_card_01",
				desc_id = "shared_deck_card_11"
			},
			{
				upgrades = {
				"player_level_2_armor_multiplier_1",
				"player_level_3_armor_multiplier_1",
				"player_level_4_armor_multiplier_1"
				},
				cost = 400,
				icon_xy = {7, 0},
				name_id = "menu_deck001_3",
				desc_id = "menu_deck001_3_desc"
			},
			{
				upgrades = {
				"passive_player_xp_multiplier",
				"player_passive_suspicion_bonus",
				"player_passive_armor_movement_penalty_multiplier"
				},
				cost = 600,
				icon_xy = {3, 0},
				name_id = "shared_deck_card_02",
				desc_id = "shared_deck_card_22"
			},
			{
				upgrades = {
				"player_level_2_armor_multiplier_3",
				"player_level_3_armor_multiplier_3",
				"player_level_4_armor_multiplier_3",
				"player_level_2_armor_multiplier_2",
				"player_level_3_armor_multiplier_2",
				"player_level_4_armor_multiplier_2"
				},
				cost = 1000,
				icon_xy = {2, 7},
				name_id = "menu_deck001_5",
				desc_id = "menu_deck001_5_desc"
			},
			{
				upgrades = {
				"armor_kit",
				"player_pick_up_ammo_multiplier"
				},
				cost = 1600,
				icon_xy = {5, 0},
				name_id = "shared_deck_card_03",
				desc_id = "shared_deck_card_33"
			},
			{
				upgrades = {
				"player_tier_dodge_chance_2",
				"player_level_2_dodge_addend_3",
				"player_level_3_dodge_addend_3",
				"player_level_4_dodge_addend_3"
				},
				cost = 2400,
				icon_xy = {3, 7},
				name_id = "menu_deck001_7",
				desc_id = "menu_deck001_7_desc"
			},
			{
				upgrades = {
				"weapon_passive_damage_multiplier",
				"passive_doctor_bag_interaction_speed_multiplier"
				},
				cost = 3200,
				icon_xy = {7, 0},
				name_id = "shared_deck_card_04",
				desc_id = "shared_deck_card_44"
			},
			{
				upgrades = {
				"player_additional_lives_3",
				"player_perk_armor_regen_timer_multiplier_5",
				"player_passive_loot_drop_multiplier"
				},
				cost = 4000,
				icon_xy = {4, 7},
				name_id = "menu_deck001_9",
				desc_id = "menu_deck001_9_desc"
			}		
		})
table.insert(self.specializations,
		{
			name_id = "menu_st_spec_002",
			desc_id = "menu_st_spec_002_desc",--New Knight
			{
				upgrades = {
				"player_armour_penalty_multiplier_3",
				"player_health_bonus_multiplier_4",
				"player_hostage_armor_addend_1"
				},
				cost = 200,
				icon_xy = {2, 7},
				name_id = "menu_deck002_1",
				desc_id = "menu_deck002_1_desc"
			},
			{	
				upgrades = {
				"weapon_passive_headshot_damage_multiplier"
				},
				cost = 300,
				icon_xy = {1, 0},
				name_id = "shared_deck_card_01",
				desc_id = "shared_deck_card_11"
			},
			{
				upgrades = {
				"dmg_dampener_outnumbered_strong_1",
				"dmg_dampener_close_contact_2",
				"dmg_dampener_close_contact_3",
				"player_damage_dampener_executioner_1",
				"player_melee_damage_dampener_executioner_1"
				},
				cost = 400,
				icon_xy = {1, 1},
				name_id = "menu_deck002_3",
				desc_id = "menu_deck002_3_desc"
			},
			{
				upgrades = {
				"passive_player_xp_multiplier",
				"player_passive_suspicion_bonus",
				"player_passive_armor_movement_penalty_multiplier"
				},
				cost = 600,
				icon_xy = {3, 0},
				name_id = "shared_deck_card_02",
				desc_id = "shared_deck_card_22"
			},
			{
				upgrades = {
				"player_can_free_run",
				"player_level_1_damage_resist_addend_1",
				"player_level_2_damage_resist_addend_1",
				"player_level_3_damage_resist_addend_1",
				"player_level_4_damage_resist_addend_1",
				"player_level_5_damage_resist_addend_1",
				"player_level_6_damage_resist_addend_1",
				"player_level_7_damage_resist_addend_1"
				},
				cost = 1000,
				icon_xy = {1, 7},
				name_id = "menu_deck002_5",
				desc_id = "menu_deck002_5_desc"
			},
			{
				upgrades = {
				"armor_kit",
				"player_pick_up_ammo_multiplier"
				},
				cost = 1600,
				icon_xy = {5, 0},
				name_id = "shared_deck_card_03",
				desc_id = "shared_deck_card_33"
			},
			{
				upgrades = {
				--"player_executioner_health_regen_1",
				"player_passive_health_regen_2",
				"melee_kill_bonus_movement_speed_1"
				},
				cost = 2400,
				icon_xy = {3, 7},
				name_id = "menu_deck002_7",
				desc_id = "menu_deck002_7_desc"
			},
			{
				upgrades = {
				"weapon_passive_damage_multiplier",
				"passive_doctor_bag_interaction_speed_multiplier"
				},
				cost = 3200,
				icon_xy = {7, 0},
				name_id = "shared_deck_card_04",
				desc_id = "shared_deck_card_44"
			},
			{
				upgrades = {
				"player_melee_sharp_damage_multiplier",
				"player_melee_blunt_damage_multiplier",
				"player_passive_loot_drop_multiplier"
				},
				cost = 4000,
				icon_xy = {2, 7},
				name_id = "menu_deck002_9",
				desc_id = "menu_deck002_9_desc"
			}		
		})
table.insert(self.specializations,
		{
			name_id = "menu_st_spec_003",
			desc_id = "menu_st_spec_003_desc",--new Military
			{
				upgrades = {
				"player_health_bonus_multiplier_1",
				"player_movement_speed_boost_1",
				"player_stamina_bonus_multiplier_1",
				"player_damage_dampener_exmilitary_1"
				--"team_stamina_super_multiplier_1"
				},
				cost = 200,
				icon_xy = {5, 7},
				name_id = "menu_deck003_1",
				desc_id = "menu_deck003_1_desc"
			},
			{	
				upgrades = {
				"weapon_passive_headshot_damage_multiplier"
				},
				cost = 300,
				icon_xy = {1, 0},
				name_id = "shared_deck_card_01",
				desc_id = "shared_deck_card_11"
			},
			{
				upgrades = {
				"assault_rifle_fire_rate_multiplier_1",
				"smg_damage_multiplier_1",
				"grenade_launcher_reload_speed",
				"lmg_damage_multiplier_exmil_1",
				--"shotgun_consume_no_ammo_chance_2",
				"shotgun_damage_addend_1",
				"shotgun_steelsight_range_inc_2",
				--"weapon_silencer_fire_rate_multiplier",
				"flamethrower_mk2_damage_multiplier"
				},
				cost = 400,
				icon_xy = {6, 7},
				name_id = "menu_deck003_3",
				desc_id = "menu_deck003_3_desc"
			},
			{
				upgrades = {
				"passive_player_xp_multiplier",
				"player_passive_suspicion_bonus",
				"player_passive_armor_movement_penalty_multiplier"
				},
				cost = 600,
				icon_xy = {3, 0},
				name_id = "shared_deck_card_02",
				desc_id = "shared_deck_card_22"
			},
			{
				upgrades = {
				"player_detection_risk_damage_multiplier"
				},
				cost = 1000,
				icon_xy = {7, 7},
				name_id = "menu_deck003_5",
				desc_id = "menu_deck003_5_desc"
			},
			{
				upgrades = {
				"armor_kit",
				"player_pick_up_ammo_multiplier"
				},
				cost = 1600,
				icon_xy = {5, 0},
				name_id = "shared_deck_card_03",
				desc_id = "shared_deck_card_33"
			},
			{
				upgrades = {
				"player_detection_risk_add_armour_percent_1"
				},
				cost = 2400,
				icon_xy = {3, 7},
				name_id = "menu_deck003_7",
				desc_id = "menu_deck003_7_desc"
			},
			{
				upgrades = {
				"weapon_passive_damage_multiplier",
				"passive_doctor_bag_interaction_speed_multiplier"
				},
				cost = 3200,
				icon_xy = {7, 0},
				name_id = "shared_deck_card_04",
				desc_id = "shared_deck_card_44"
			},
			{
				upgrades = {
				"player_body_armor_skill_ammo_mul",
				"player_add_armor_stat_skill_ammo_mul",
				"team_passive_armor_regen_time_multiplier",
				"player_passive_loot_drop_multiplier"
				},
				cost = 4000,
				icon_xy = {6, 7},
				name_id = "menu_deck003_9",
				desc_id = "menu_deck003_9_desc"
			}		
		})
table.insert(self.specializations,
		{
			name_id = "menu_st_spec_004",
			desc_id = "menu_st_spec_004_desc",--new bleach
			{
				upgrades = {
				},
				cost = 200,
				icon_xy = {69, 69},
				name_id = "menu_deck004_1",
				desc_id = "menu_deck004_1_desc"
			},
			{	
				upgrades = {
				"weapon_passive_headshot_damage_multiplier"
				},
				cost = 300,
				icon_xy = {1, 0},
				name_id = "shared_deck_card_01",
				desc_id = "shared_deck_card_11"
			},
			{
				upgrades = {
				},
				cost = 400,
				icon_xy = {69, 69},
				name_id = "menu_deck004_3",
				desc_id = "menu_deck004_3_desc"
			},
			{
				upgrades = {
				"passive_player_xp_multiplier",
				"player_passive_suspicion_bonus",
				"player_passive_armor_movement_penalty_multiplier"
				},
				cost = 600,
				icon_xy = {3, 0},
				name_id = "shared_deck_card_02",
				desc_id = "shared_deck_card_22"
			},
			{
				upgrades = {
				},
				cost = 1000,
				icon_xy = {69, 69},
				name_id = "menu_deck004_5",
				desc_id = "menu_deck004_5_desc"
			},
			{
				upgrades = {
				"armor_kit",
				"player_pick_up_ammo_multiplier"
				},
				cost = 1600,
				icon_xy = {5, 0},
				name_id = "shared_deck_card_03",
				desc_id = "shared_deck_card_33"
			},
			{
				upgrades = {
				},
				cost = 2400,
				icon_xy = {69, 69},
				name_id = "menu_deck004_7",
				desc_id = "menu_deck004_7_desc"
			},
			{
				upgrades = {
				"weapon_passive_damage_multiplier",
				"passive_doctor_bag_interaction_speed_multiplier"
				},
				cost = 3200,
				icon_xy = {7, 0},
				name_id = "shared_deck_card_04",
				desc_id = "shared_deck_card_44"
			},
			{
				upgrades = {
				"player_passive_loot_drop_multiplier"
				},
				cost = 4000,
				icon_xy = {6, 7},
				name_id = "menu_deck004_9",
				desc_id = "menu_deck004_9_desc"
			}		
		})
table.insert(self.specializations,
		{
			name_id = "menu_st_spec_005",
			desc_id = "menu_st_spec_005_desc",--new Lucario
			{
				upgrades = {
				"player_health_bonus_multiplier_2",
				"player_dodge_bonus_passive_always_5",
				--"player_melee_kill_bonus_armour_value_1",
				--"temporary_armor_kit_damage_reduction_1",
				--"player_armour_skill_damage_health_ratio_multiplier_1",
				--"player_melee_kill_bonus_damage_resist_lucario_1"
				},
				cost = 200,
				icon_xy = {69, 69},
				name_id = "menu_deck005_1",
				desc_id = "menu_deck005_1_desc"
			},
			{	
				upgrades = {
				"weapon_passive_headshot_damage_multiplier"
				},
				cost = 300,
				icon_xy = {1, 0},
				name_id = "shared_deck_card_01",
				desc_id = "shared_deck_card_11"
			},
			{
				upgrades = {
				"player_damage_dampener_lucario_passive_1"
				},
				cost = 400,
				icon_xy = {69, 69},
				name_id = "menu_deck005_3",
				desc_id = "menu_deck005_3_desc"
			},
			{
				upgrades = {
				"passive_player_xp_multiplier",
				"player_passive_suspicion_bonus",
				"player_passive_armor_movement_penalty_multiplier"
				},
				cost = 600,
				icon_xy = {3, 0},
				name_id = "shared_deck_card_02",
				desc_id = "shared_deck_card_22"
			},
			{
				upgrades = {
				"player_damage_shake_multiplier"
				},
				cost = 1000,
				icon_xy = {69, 69},
				name_id = "menu_deck005_5",
				desc_id = "menu_deck005_5_desc"
			},
			{
				upgrades = {
				"armor_kit",
				"player_pick_up_ammo_multiplier"
				},
				cost = 1600,
				icon_xy = {5, 0},
				name_id = "shared_deck_card_03",
				desc_id = "shared_deck_card_33"
			},
			{
				upgrades = {
				"player_secured_bags_stamina_multiplier",
				"player_lucario_armour_addend_1"
				},
				cost = 2400,
				icon_xy = {69, 69},
				name_id = "menu_deck005_7",
				desc_id = "menu_deck005_7_desc"
			},
			{
				upgrades = {
				"weapon_passive_damage_multiplier",
				"passive_doctor_bag_interaction_speed_multiplier"
				},
				cost = 3200,
				icon_xy = {7, 0},
				name_id = "shared_deck_card_04",
				desc_id = "shared_deck_card_44"
			},
			{
				upgrades = {
				"player_passive_loot_drop_multiplier",
				"player_secured_bags_armour_multiplier"
				},
				cost = 4000,
				icon_xy = {6, 7},
				name_id = "menu_deck005_9",
				desc_id = "menu_deck005_9_desc"
			}		
		})
end